> ## Documentation Index
> Fetch the complete documentation index at: https://docs.patch.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Search the games mods are made for, by name



## OpenAPI

````yaml /api-reference/openapi.json get /host-games
openapi: 3.1.0
info:
  title: Patch API
  version: 1.0.0
  description: >-
    The public API behind patch.gg, the desktop app and pch. Changes within v1
    are additive only. Errors are { error: { code, message, details } }; branch
    on code.
servers:
  - url: https://patch.gg/api/v1
security: []
paths:
  /host-games:
    get:
      tags:
        - Host games
      summary: Search the games mods are made for, by name
      parameters:
        - schema:
            type: string
          required: false
          name: q
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
          required: false
          name: limit
          in: query
        - schema:
            type: string
            maxLength: 500
            description: The next_cursor from the previous page
          required: false
          description: The next_cursor from the previous page
          name: cursor
          in: query
      responses:
        '200':
          description: A page of host games
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostGamePage'
components:
  schemas:
    HostGamePage:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/HostGame'
        next_cursor:
          type:
            - string
            - 'null'
      required:
        - data
        - next_cursor
    HostGame:
      type: object
      properties:
        id:
          type: string
          format: uuid
        slug:
          type: string
        name:
          type: string
        cover_url:
          type:
            - string
            - 'null'
        engine:
          type:
            - string
            - 'null'
        stores:
          type: array
          items:
            type: object
            properties:
              store:
                type: string
                enum:
                  - steam
                  - epic
                  - gog
                  - xbox
                  - ea
                  - ubisoft
                  - battlenet
                  - microsoft
              ref:
                type: string
            required:
              - store
              - ref
        builds:
          type: array
          items:
            type: object
            properties:
              store:
                type: string
                enum:
                  - steam
                  - epic
                  - gog
                  - xbox
                  - ea
                  - ubisoft
                  - battlenet
                  - microsoft
              build_ref:
                type: string
              version_label:
                type:
                  - string
                  - 'null'
            required:
              - store
              - build_ref
              - version_label
      required:
        - id
        - slug
        - name
        - cover_url
        - engine
        - stores
        - builds

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.